Gecode::Gist::Options::_I Class Reference

Helper class storing inspectors. More...

`#include <gist.hh>`

## Public Member Functions

| _I (void)
| Constructor.
void | click (Inspector *i)
| Add inspector that reacts on node double clicks.
void | solution (Inspector *i)
| Add inspector that reacts on each new solution that is found.
void | move (Inspector *i)
| Add inspector that reacts on each move of the cursor.
void | compare (Comparator *c)
| Add comparator.
Inspector * | click (unsigned int i) const
| Return click inspector number i, or NULL if it does not exist.
Inspector * | solution (unsigned int i) const
| Return solution inspector number i, or NULL if it does not exist.
Inspector * | move (unsigned int i) const
| Return move inspector number i, or NULL if it does not exist.
Comparator * | compare (unsigned int i) const
| Return comparator number i, or NULL if it does not exist.

## Detailed Description

Helper class storing inspectors.

Definition at line 237 of file gist.hh.

## Constructor & Destructor Documentation

## _I()

Gecode::Gist::Options::_I::_I | ( | void |  | ) |

inline

Constructor.

Definition at line 165 of file gist.hpp.

## Member Function Documentation

## click() [1/2]

void Gecode::Gist::Options::_I::click | ( | Inspector * | i | ) |

inline

Add inspector that reacts on node double clicks.

Definition at line 170 of file gist.hpp.

## solution() [1/2]

void Gecode::Gist::Options::_I::solution | ( | Inspector * | i | ) |

inline

Add inspector that reacts on each new solution that is found.

Definition at line 174 of file gist.hpp.

## move() [1/2]

void Gecode::Gist::Options::_I::move | ( | Inspector * | i | ) |

inline

Add inspector that reacts on each move of the cursor.

Definition at line 178 of file gist.hpp.

## compare() [1/2]

void Gecode::Gist::Options::_I::compare | ( | Comparator * | c | ) |

inline

Add comparator.

Definition at line 182 of file gist.hpp.

## click() [2/2]

Inspector * Gecode::Gist::Options::_I::click | ( | unsigned int | i | ) | const

inline

Return click inspector number i, or NULL if it does not exist.

Definition at line 186 of file gist.hpp.

## solution() [2/2]

Inspector * Gecode::Gist::Options::_I::solution | ( | unsigned int | i | ) | const

inline

Return solution inspector number i, or NULL if it does not exist.

Definition at line 190 of file gist.hpp.

## move() [2/2]

Inspector * Gecode::Gist::Options::_I::move | ( | unsigned int | i | ) | const

inline

Return move inspector number i, or NULL if it does not exist.

Definition at line 194 of file gist.hpp.

## compare() [2/2]

Comparator * Gecode::Gist::Options::_I::compare | ( | unsigned int | i | ) | const

inline

Return comparator number i, or NULL if it does not exist.

Definition at line 198 of file gist.hpp.

The documentation for this class was generated from the following files:

- gecode/gist.hh
- gecode/gist/gist.hpp